I am trying to install clamav on my server, which runs ubuntu feisty (I should upgrade I know ... will get there someday).

Running sudo apt-get install clamav gives me these errors:

Code:
Err http://dk.archive.ubuntu.com feisty/main libgmp3c2 2:4.2.1+dfsg-4build1
  404 Not Found
Err http://security.ubuntu.com feisty-security/universe libclamav3 0.92.1~dfsg2-1.1~feisty3.1
  404 Not Found [IP: 91.189.92.166 80]
Err http://security.ubuntu.com feisty-security/universe clamav-base 0.92.1~dfsg2-1.1~feisty3.1
  404 Not Found [IP: 91.189.92.166 80]
Err http://security.ubuntu.com feisty-security/universe clamav-freshclam 0.92.1~dfsg2-1.1~feisty3.1
  404 Not Found [IP: 91.189.92.166 80]
Err http://security.ubuntu.com feisty-security/universe clamav 0.92.1~dfsg2-1.1~feisty3.1
  404 Not Found [IP: 91.189.92.166 80]
Failed to fetch http://dk.archive.ubuntu.com/ubuntu/pool/main/g/gmp/libgmp3c2_4.2.1+dfsg-4build1_i386.deb  404 Not Found
Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/clamav/libclamav3_0.92.1~dfsg2-1.1~feisty3.1_i386.deb  404 Not Found [IP: 91.189.92.166 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/clamav/clamav-base_0.92.1~dfsg2-1.1~feisty3.1_all.deb  404 Not Found [IP: 91.189.92.166 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/clamav/clamav-freshclam_0.92.1~dfsg2-1.1~feisty3.1_i386.deb  404 Not Found [IP: 91.189.92.166 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/clamav/clamav_0.92.1~dfsg2-1.1~feisty3.1_i386.deb  404 Not Found [IP: 91.189.92.166 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
I assume it's because it's not longer supported for feisty?

So I tried to find a source ... found one here:
https://launchpad.net/ubuntu/+source.../0.90-1ubuntu1

But trying to install it gives me following errors:
Code:
lenka@morsverden:~/clamav-0.90$ sh ./configure
checking build system type... i686-pc-linux-gnulibc1
checking host system type... i686-pc-linux-gnulibc1
checking target system type... i686-pc-linux-gnulibc1
creating target.h - canonical system defines
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for gawk... (cached) mawk
checking for gcc... gcc
checking for C compiler default output file name...
configure: error: C compiler cannot create executables
See `config.log' for more details.
I'm not really updated in my linux installing skills, so any help would be appretiated. Is there any easy way to apt-get install if the links are not working?